Subject: RE: Draft charter for L3VPN: protocol-specific work

From: "Hamid Ould-Brahim" <[email-masked]>
Date: Fri, 9 May 2003 21:06:47 -0400

Alex,

> 
>      a. The VPN community believes that it serves the purpose
>         and the right way forward
>      
>    AND
>    
>      b. The protocol-specific community believes that using
>         the protocol is a good idea and the way this is done
>         is correct.
> 
>    Given that finally the extension specs have to live in the
>    protocol-specific WGs, ow about we use the following process
>    (draft):
> 
>      1. VPN folks who believe that a given protocol extension
>         is needed, come up with an individual draft describing
>         the details.
> 
>      2. The draft is brought to the appropriate VPN WG. A discussion
>         on the mailing list AND in the room is held on the subject of
>         why this is needed and whether this is a good idea VPN-wise.
>         If there is no agreement on this--the draft does not go
>         any further. Otherwise:
> 
>      3. The draft is taken to the protocol-specific WG. The WG
>         discusses if it is happy with it as a general approach, if
>         so takes it as a WG item. Otherwise, the WG chairs summarize
>         the discussion and send the summary to the VPN WG.
> 
>      4. If the draft is accepted by the protocol-specific WG,
>         the appropriate VPN framework document is updated to describe
>         it and refer to the doc.
> 
>      5. The WG chairs coordinate timing for the draft.
>         When ready to go to IESG, the draft is LC'ed in both WGs.
> 

If I take the example of LDP extensions proposals in l2vpn
space. Should both MPLS and PPVPN WGs agree to the changes before 
accepting the drafts? or should MPLS, PWE3, and PPVPN WGs all 
agree to the changes (for example if the changes modify PWE3 
protocols/mechanisms and they add as well new TLVs to LDP 
(not related to PWE3's work/charter))? 

Wouldn't that cause more delays for most l2vpn work? 

The other question I have is if  after the draft was accepted
in all the appropriate WGs, and later on additional extensions 
are proposed. Should we redo the same process and go to all 
related protocol-specific WGs to get a new approval?

Hamid.

---

From: Alex Zinin <[email-masked]>
Date: Sat, 10 May 2003 00:04:26 -0700

Hamid,

> (not related to PWE3's work/charter))? 

We would sit down with WG chairs of PPVPN, MPLS, and PWE3 and
discuss the matter. My goal would be to limit the number of
WGs to 2 (PPVPN included), more would be much harder.

> Wouldn't that cause more delays for most l2vpn work?

I don't think so, because we need this sort of reviews anyways.

> related protocol-specific WGs to get a new approval?

Hard to say in general. If changes are substential, consensus
verification might be warranted, otherwise less formal discussions
would suffice. This sort of details are usually left to the WG chairs
and ADs.

Alex